Bug 1292298 - epel7 kile has wrongly versioned dependencies
epel7 kile has wrongly versioned dependencies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: kile (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7ppc64le epel7aarch64
  Show dependency treegraph
 
Reported: 2015-12-16 18:08 EST by Yaakov Selkowitz
Modified: 2016-05-16 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: kile-2.1.3-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 15:06:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-16 18:08:41 EST
epel7 kile.spec contains:

Requires: kate-part%{?_kde4_version: >= %{_kde4_version}}
Requires: konsole-part%{?_kde4_version: >= %{_kde4_version}}

kdelibs was rebased in RHEL 7.2, but kate and konsole were not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change these to unversioned Requires: and update to fix the build on the new arches.
Comment 1 Fedora Update System 2016-04-28 13:50:37 EDT
kile-2.1.3-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8dc30a8071
Comment 2 Fedora Update System 2016-04-30 00:23:47 EDT
kile-2.1.3-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8dc30a8071
Comment 3 Fedora Update System 2016-05-16 15:05:58 EDT
kile-2.1.3-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.